<?php

require_once 'Horde/Variables.php';
require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';

class PDataForm extends Horde_Form
{

    function PDataForm(&$vars)
    {
        parent::Horde_Form($vars);

        $this->setButtons(_("Save"));
        $this->addHidden('', 'actionId', 'text', true, false);
        $this->addHidden('', 'id', 'int', false, false);
        $this->addVariable(_("Data ID"), 'id', 'int', false, true);
        $this->addVariable(_("Time Posted"), 'time_created', 'time',
                false, true);
        $this->addVariable(_("Title"), 'title', 'text', true, false);
        $this->addVariable(_("Category"), 'category', 'text', true, false);
        $this->addVariable(_("Info"), 'info', 'longText', true, false);
    }
}
