<?php

@define('HORDE_BASE', dirname(__FILE__) . '/../../');
require HORDE_BASE . '/lib/core.php';

$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('penguincoder',
    !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect();
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];

@define('PENGUINCODER_TEMPLATES', $registry->get('templates'));
@define('PENGUINCODER_BASE', dirname(__FILE__) . '/..');

$notification = &Notification::singleton();
$notification->attach('status');

Horde::compressOutput();

require PENGUINCODER_BASE . '/lib/PenguinCoder.php';
require PENGUINCODER_BASE . '/lib/Data.php';

$GLOBALS['pdata'] = &PData::singleton();